## org.eclipse.m2m.atl.adt.ui.compatibility
Class UpdateCompatibility

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.compatibility.UpdateCompatibility

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IWorkbenchWindowActionDelegate

    public class UpdateCompatibility

extends java.lang.Object
implements org.eclipse.ui.IWorkbenchWindowActionDelegate

An UI class for old ATL projects conversion.

Constructor Summary
`UpdateCompatibility()`

Method Summary
`void` `dispose()`
`void` `init(org.eclipse.ui.IWorkbenchWindow window)`
`void` `run(org.eclipse.jface.action.IAction action)`
`void` `selectionChanged(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateCompatibility

    public UpdateCompatibility()

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.ui.IWorkbenchWindowActionDelegate`
  See Also:
    `IWorkbenchWindowActionDelegate.dispose()`

### init

    public void init(org.eclipse.ui.IWorkbenchWindow window)

  Specified by:
    `init` in interface `org.eclipse.ui.IWorkbenchWindowActionDelegate`
  See Also:
    `IWorkbenchWindowActionDelegate.init(org.eclipse.ui.IWorkbenchWindow)`

### run

    public void run(org.eclipse.jface.action.IAction action)

  Specified by:
    `run` in interface `org.eclipse.ui.IActionDelegate`
  See Also:
    `IActionDelegate.run(org.eclipse.jface.action.IAction)`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`
  See Also:
    `IActionDelegate.selectionChanged(org.eclipse.jface.action.IAction, org.eclipse.jface.viewers.ISelection)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.